CREATE TABLE gtg_sem_extraction_files (
    EXTRACTION_FILE_ID       NUMBER        ,
    IS_ACTIVE                NUMBER(1, 0)  ,
    IS_SEEDED                NUMBER(1, 0)  ,
    NAME                     VARCHAR2(320)     NOT NULL,
    EXTRACTION_FILE          BLOB              NOT NULL,
    LOCALE                   VARCHAR2(80)      NOT NULL,
    TYPE                     VARCHAR2(320)     NOT NULL,
    PRODUCT                  VARCHAR2(320)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    EXTRACTION_FILE_ID       NUMBER        ,
    IS_ACTIVE                NUMBER(1, 0)  ,
    IS_SEEDED                NUMBER(1, 0)  ,
    NAME                     VARCHAR2(320)     NOT NULL,
    EXTRACTION_FILE          BLOB              NOT NULL,
    LOCALE                   VARCHAR2(80)      NOT NULL,
    TYPE                     VARCHAR2(320)     NOT NULL,
    PRODUCT                  VARCHAR2(320)     NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_gtg_sem_extraction_files PRIMARY KEY (EXTRACTION_FILE_ID, EXTRACTION_FILE_ID)
);
